:root {
  --step--1: clamp(0.94rem, calc(0.92rem + 0.11vw), 1rem);
  --step--2: clamp(0.78rem, calc(0.77rem + 0.03vw), 0.8rem);
  --step-0: clamp(1.13rem, calc(1.08rem + 0.22vw), 1.25rem);
  --step-1: clamp(1.35rem, calc(1.28rem + 0.37vw), 1.56rem);
  --step-2: clamp(1.62rem, calc(1.5rem + 0.58vw), 1.95rem);
  --step-3: clamp(1.94rem, calc(1.77rem + 0.87vw), 2.44rem);
  --step-4: clamp(2.33rem, calc(2.08rem + 1.25vw), 3.05rem);
  --step-5: clamp(2.8rem, calc(2.45rem + 1.77vw), 3.82rem);
}

a,
button,
body {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

*:focus {
  outline: none !important;
}

* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

input:not([type="checkbox"]):not([type="radio"]) {
  padding-left: 5px !important;
}

#popup_email_quote input:not([type="checkbox"]):not([type="radio"]) {
  padding-left: 15px !important;
}

/* input{
    padding-left: 5px !important;
 } */
p {
  margin-bottom: 0px;
}

body {
  font-family: "IBM Plex Sans", sans-serif;
  clip-rule: #136e98;
  font-size: 16px;
}

ul {
  margin-bottom: unset;
}

input:not(#terms_popup):not(#tolerance_popup),
select {
  padding-left: 0.25rem;
}

td {
  padding: 1px;
  height: 30px;
}

th {
  line-height: 1.2;
  font-weight: 600;
  letter-spacing: 0.2px;
  height: 30px;
}

.mb-5 {
  margin-bottom: 2.75rem !important;
}

/* /////////////////// */

.d-icons {
  display: flex;
  align-items: center;
  padding-right: 20px;
}

.d-icons>img {
  width: 20px;
  height: 14px;
}

.my-account-shadow.px-0 {
  padding: 0px 15px 0px 0px !important;
}

section .acc-grandient-banner .acc-section .account-tab-area .d-icons img {
  vertical-align: -webkit-baseline-middle;
  vertical-align: -moz-baseline-middle;
}

section .acc-grandient-banner .acc-section .account-tab-area .login-form {
  padding: 93px 40px;
}

.content {
  min-width: auto !important;
}

.acc-grey-col-font {
  color: #bcbcbc;
}

.acc-green-col-font {
  color: #2bb096;
}

/* ////////////////// */
.td-l {
  text-align: left !important;
  vertical-align: middle;
  padding-left: 10px;
}

.td-r {
  box-sizing: border-box;
  text-align: right !important;
  vertical-align: middle;
  padding-left: 10px;
  padding-right: 3%;
}

input:focus {
  background-color: white;
  outline: none;
}

input[type="radio"] {
  box-sizing: border-box;
  appearance: none;
  background: white;
  border: 1px solid #697386;
  border-radius: 4px;
  width: 16px;
  height: 16px;
  padding: 2px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
}

input[type="checkbox"] {
  box-sizing: border-box;
  appearance: none;
  background: #ffffff;
  border: 1px solid #697386;
  border-radius: 3px;
  padding: 2px;
  min-width: 16px !important;
  min-height: 16px !important;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.container-change {
  max-width: 1400px;
}

.container {
  max-width: 720px !important;
}

.container {
  /* margin-left: 25px;
  margin-right: 25px; */
  box-sizing: border-box;
}

.w-85 {
  width: 85%;
}

.w-80 {
  width: 80%;
}

.w-50p {
  width: 90%;
}

.mb-6 {
  margin-bottom: 4rem;
}

.h-25px {
  height: 40px !important;
}

.container1 {
  margin-left: 12px;
  margin-right: 12px;
  box-sizing: border-box;
}

.container2 {
  margin-left: 60px;
  margin-right: 60px;
  box-sizing: border-box;
}

.min-max-span-1 {
  position: absolute;
  top: 110%;
  left: 17.5%;
}

.min-max-span-2 {
  position: absolute;
  top: 110%;
  left: 67.5%;
}

.instruction-e-r {
  position: absolute;
  top: -20px;
  left: 20%;
  margin-bottom: 8px;
}

.exact-span::after {
  content: "\003F";
  display: flex;
  height: 13px;
  width: 13px;
  margin-left: 2px;
  margin-right: 2px;
  background-color: #136e98;
  padding-left: 3.5px;
  padding-top: 1px;
  border-radius: 50%;
  color: white;
}

.range-span::after {
  content: "\003F";
  display: flex;
  height: 13px;
  width: 13px;
  margin-left: 2px;
  margin-right: 2px;
  background-color: #136e98;
  padding-left: 3.5px;
  padding-top: 1px;
  border-radius: 50%;
  color: white;
}

/* input on and off --------------------------------------- */
.switch {
  position: relative;
  display: inline-block;
  width: 25px;
  height: 14.5px;
  margin-bottom: 6px;
  transform: translate(-50%, 0%);
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
  transform: translateX(40px);
  min-height: 0px !important;
  min-width: 0px !important;
  border: 0px !important;
  padding: 0px !important;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #bbb;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 9px;
  width: 9px;
  left: 2px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider {
  background-color: #2196f3;
}

.slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked+.slider:before {
  -webkit-transform: translateX(10.5px);
  -ms-transform: translateX(10.5px);
  transform: translateX(10.5px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 30px;
}

.slider.round:before {
  border-radius: 50%;
}

/* --------------------------------------- */
/* ------------------------------------------------------ */
.active_b {
  background-color: #136e98 !important;
  color: white !important;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.active_side_b {
  background-color: #fc4c02 !important;
  color: white !important;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.active_m {
  border: 1px solid #f05133 !important;
  background-color: #f05133 !important;
  color: white !important;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.big-tab-1.active_b {
  background-color: #136e98 !important;
  color: white !important;
}

.big-tab-2.active_b {
  background-color: #fc4c02 !important;
  color: white !important;
}

.mid-sec-modal-tab-border {
  border: 1px solid #d9d9d9;
  border-radius: 21px 21px 0px 0px;
}

.mid-sec-tab-border {
  border: 1px solid #136e98;
  border-radius: 10px 10px 0px 0px;
}

#quote_email {
  cursor: pointer;
}

input[type="radio"]:checked {
  background: #56b946;
  background-clip: content-box !important;
}

input[type="checkbox"]:checked {
  background: #56b946;
  background-clip: content-box !important;
  border: 1px solid black;
}

.commom-btn {
  cursor: pointer;
  height: 40px;
  border-radius: 4px;
}

.th-td-gutter th {
  /* padding-top: 0.95rem;
  padding-bottom: 0.95rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem; */
  color: white;
  background-color: #17648b;
  height: 30px;
}

.th-td-gutter.blue th {
  /* padding-top: 0.95rem;
  padding-bottom: 0.95rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem; */
  color: white;
  background-color: #17648b;
  height: 30px;
}

.th-td-gutter.orange th {
  /* padding-top: 0.95rem;
  padding-bottom: 0.95rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem; */
  color: white;
  background-color: #f25134;
  height: 30px;
}

.th-td-gutter th::after,
.th-td-gutter th::before {
  opacity: 1 !important;
  color: #0f5275;
  /* color: #031822; */
}

/* .th-td-gutter td {
  padding: 0.125rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
} */
.th-td-gutter td .th-td-gutter td {
  padding: 0px !important;
}

#DataTables_Table_0 th tr,
#DataTables_Table_1 th tr {
  height: 105px;
}

.midsec-1sttab-1st-table th:nth-child(1) {
  width: 30%;
}

.midsec-1sttab-1st-table th:nth-child(2) {
  width: 50%;
}

.midsec-1sttab-1st-table th:nth-child(3) {
  width: 15%;
}

.midsec-1sttab-2nd-table th:nth-child(1) {
  width: 30%;
}

.midsec-1sttab-2nd-table th:nth-child(2) {
  width: 25%;
}

.midsec-1sttab-2nd-table th:nth-child(3) {
  width: 25%;
}

.table-paragraph {
  margin-bottom: -35px;
  z-index: 2;
  position: relative;
  color: white;
  font-weight: 600;
  letter-spacing: 0.2px;
  padding: 0.125rem;
}

.heading-box {
  min-height: 30px;
  /* background-color: #136E98; */
  padding: 0.125rem;
}

.heading-font-style {
  /* font-weight: 600; */
  letter-spacing: 0.2px;
  color: white;
}

.text-talign-center tr td,
.text-talign-center tr th {
  text-align: center;
}

.force-chart tbody tr:nth-child(2n) {
  background: #f2f2f2;
}

.grey-even:nth-child(2n) {
  background: #f2f2f2;
}

.right-border td:nth-child(n) {
  border-right: 2px solid #cccccc;
}

.first-tab-first-table>div:nth-child(2n) {
  background: #f2f2f2;
}

.first-tab-first-table>div {
  align-items: center;
  min-height: 30px;
}

.right-border td:last-child {
  border-right: unset;
}

.common-box {
  border: 1px solid #cccccc;
}

.table-null tr:last-of-type td {
  border-bottom: 1px solid rgba(5, 87, 120, 0.1);
}

footer {
  background-color: #1c97db;
}

.tocart {
  width: 15px;
  height: 15px;
  border: 1px solid #cccccc;
}

.orange-bg {
  height: 85px;
  background: #f25133;
  color: #fff;
  /* display: block */
}

.table-striped img {
  max-height: 40px;
  max-width: auto;
}

#td-price a span:last-child::before {
  content: " ";
  display: block;
  padding-top: 4px;
}

#td-price a span:nth-child(1) {
  font-family: "IBM Plex Sans Thai";
  font-size: 12px;
  font-weight: 700;
  line-height: 17px;
  letter-spacing: 0em;
  text-align: center;
}

#td-price a span:nth-child(2) {
  font-family: "IBM Plex Sans Thai";
  font-size: 10px;
  font-weight: 700;
  line-height: 12px;
  letter-spacing: 0em;
  text-align: center;
  color: #72ac53 !important;
}

#td-price a span:nth-child(3) {
  font-family: "IBM Plex Sans Thai";
  font-size: 14px;
  font-weight: 700;
  line-height: 17px;
  letter-spacing: 0em;
  text-align: center;
}

.dropleft .dropdown-toggle::after {
  display: none !important;
}

#drp {
  position: absolute;
  inset: auto 0px 0px auto;
  margin: 0px;
  /* transform: translate(-110%, 50%); */
}

.dropdown-item a:hover {
  color: #b0373e;
}

.table-striped {
  /* width: 1200px; */
  overflow-x: hidden;
}

.first-input-after::after {
  content: "-";
  padding: 0px 8px;
}

/* ------------------------------------------------------ */

.active_ {
  display: block !important;
}

.no-display {
  display: none !important;
}

.no-display0 {
  background-color: rgb(252, 134, 134);
}

.top-right {
  align-items: flex-start;
  justify-content: end;
}

.top-left {
  align-items: flex-start;
  justify-content: flex-start;
}

.bottom-left {
  align-items: flex-end;
  justify-content: flex-start;
}

.bottom-right {
  align-items: flex-end;
  justify-content: flex-end;
}

.grid {
  display: grid;
}

.flex {
  display: flex;
}

.flex-end {
  justify-content: flex-end;
}

.flex-start {
  justify-content: flex-start;
}

.flex-direction-column {
  flex-direction: column;
}

.flex-direction-row {
  flex-direction: row;
}

.space-evenly {
  justify-content: space-evenly;
}

.vertical-center {
  align-items: center;
}

.horizondal-center {
  justify-content: center;
}

.center {
  align-items: center;
  text-align: center;
  justify-content: center;
}

.no-wrap_ {
  white-space: nowrap;
}

.auto-margin {
  margin: 0 auto;
}

.no-margin {
  margin: 0;
}

.halfwidth {
  width: 50%;
}

.quarterwidth {
  width: 25%;
}

.three-quarterwidth {
  width: 75%;
}

.fullwidth {
  width: 100%;
}

.width33percentage {
  width: 33.33%;
}

.btn-basic {
  border: none;
  box-shadow: 0px -1px 1px rgba(0, 0, 0, 0.12), 0px 2px 5px rgba(0, 0, 0, 0.12),
    0px 1px 1px rgba(0, 0, 0, 0.08);
}

.btn-basic-minus {
  background: #2bb096;
  border: none;
  color: white;
  box-shadow: 0px -1px 1px rgba(0, 0, 0, 0.12), 0px 2px 5px rgba(0, 0, 0, 0.12),
    0px 1px 1px rgba(0, 0, 0, 0.08);
}

.no-border {
  border: none;
}

.box-shadow {
  box-shadow: 0px -1px 1px rgba(0, 0, 0, 0.12), 0px 2px 5px rgba(0, 0, 0, 0.12),
    0px 1px 1px rgba(0, 0, 0, 0.08);
}

.box-shadow2 {
  box-shadow: 0px -1px 1px rgba(0, 0, 0, 0.12), 0px 2px 5px rgba(0, 0, 0, 0.12),
    0px 1px 1px rgba(0, 0, 0, 0.6);
}


.body-small {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: clamp(9px, 1vw, 12px);
  line-height: 0.78rem;
  text-align: center;
}

.body-normal {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: clamp(12px, 1vw, 14px);
}

.sidehead-small,
.dtsb-group,
.min-max-span-1,
.min-max-span-2 {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: clamp(12px, 1vw, 14px) !important;
  font-weight: 500;
  line-height: 20px;
}

.sans500-18pxs {
  font-family: "IBM Plex Sans", sans-serif;
  font-weight: 600;
  font-size: clamp(0.6rem, 1vw, .9rem);
  text-align: center;
  line-height: 1.125rem;
}

.dataTables_info,
.sidehead-big,
.dtsb-searchBuilder,
.dtsb-add,
.dtsb-logic {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: clamp(14px, 1vw, 18px) !important;
  text-align: center;
  line-height: 1.125rem;
}

.head-small {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: clamp(14px, 1vw, 16px);
  line-height: 1rem;
  text-align: center;
}

.head-small-nav {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: clamp(11px, 1vw, 14px);
  text-align: center;
  line-height: 1.1;
}

.head-normal,
#warning {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: clamp(16px, 1vw, 20px);
  line-height: 1.25rem;
  text-align: center;
}

.head-big {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: clamp(20px, 2vw, 24px);
  font-weight: 700;
  line-height: 1.2;
  letter-spacing: 0.045em;
  text-align: center;
}

.head-big-nav {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: clamp(15px, 1vw, 18px);
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
}

.head-big-mide-sec-big-tab {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: clamp(14px, 1.5vw, 22px);
  font-weight: 500;
  text-align: center;
  line-height: 1;
}

.text-align-ceter {
  text-align: center;
}

.inter-400-12px {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 15px;
}

.inter-700-12px {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 12px;
  line-height: 15px;
}

.inter-700-11px {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 11px;
  line-height: 13px;
}

.inter-700-15px {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 15px;
  line-height: 18px;
}

.inter-500-15px {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 18px;
}

.sans400-14px-footer {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: clamp(12px, 1vw, 16px)
}

.sidehead-small-footer {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: clamp(12px, 1vw, 18px);
  line-height: 18px;
}

.margin-top-5px {
  margin-top: 5px;
}

#new_account th {
  border-bottom: 2px solid #2bb096;
  background-color: white;
}

table {
  border-spacing: 0;
  border-collapse: separate;
  width: 100%;
}

#quantityForm .force-chart,
.spring_data table.force-chart {
  border-collapse: separate !important;
}

#table_values td,
th {
  padding: 5px 5px 5px 5px;
}

.half-width {
  width: 50%;
}

.paddintb60 {
  padding: 60px 0px;
}

.padding15-no-btm {
  padding: 5px 15px 5px 15px;
}

.table_order td {
  padding-left: 4px;
  padding-right: 4px;
}

.table_order th {
  text-align: center;
}

.padding10 {
  padding: 10px;
}

.padding-top-btm-5 {
  padding-top: 5px !important;
  padding-bottom: 5px !important;
}

.padding-lt-rt-5 {
  padding-left: 5px !important;
  padding-right: 5px !important;
}

.paddingrt-lt {
  padding-right: 10px;
  padding-left: 10px;
}

.paddingrt5 {
  padding-right: 10px;
}

.padding-lt-5 {
  padding-left: 5px;
}

.padding-lt-10 {
  padding-left: 10px;
}

.padding-lt-15 {
  padding-left: 15px;
}

.padding-rt-15 {
  padding-right: 15px;
  padding-left: 15px;
}

.padding-rtt-15 {
  padding-right: 15px;
}

.margin-left5 {
  margin-left: 5px;
}

.margin-left10 {
  margin-left: 10px;
}

.margin-left15 {
  margin-left: 15px;
}

.margin-left45 {
  margin-left: 45px;
}

.paddingrt20 {
  padding-right: 20px;
}

.marginrt5 {
  margin-right: 5px;
}

.marginrt10 {
  margin-right: 10px;
}

.marginrt15 {
  margin-right: 15px;
}

.marginrt25 {
  margin-right: 25px;
}

.margintop25 {
  margin-top: 25px;
}

.margintop35 {
  margin-top: 35px;
}

.margintop65 {
  margin-top: 35px;
}

.marginbtm0 {
  margin-bottom: 0px;
}

.marginbtm5 {
  margin-bottom: 5px;
}

.marginbtm10 {
  margin-bottom: 10px;
}

.margin-top35 {
  margin-top: 35px;
}

.marginbtm15 {
  margin-bottom: 15px;
}

.marginbtm {
  margin-bottom: 20px;
}

.marginbtm20 {
  margin-bottom: 20px;
}

.marginbtm25 {
  margin-bottom: 25px;
}

.marginbtm30 {
  margin-bottom: 30px;
}

.marginbtm35 {
  margin-bottom: 35px;
}

.marginbtm40 {
  margin-bottom: 40px;
}

.marginbtm45 {
  margin-bottom: 45px;
}

.marginbtm50 {
  margin-bottom: 50px;
}

.marginbtm55 {
  margin-bottom: 55px !important;
}

.marginbtm60 {
  margin-bottom: 60px;
}

.marginbtm65 {
  margin-bottom: 65px;
}

.marginbtm70 {
  margin-bottom: 70px;
}

.gap15 {
  gap: 15px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
  -ms-appearance: textfield;
  -webkit-appearance: textfield;
  -o-appearance: textfield;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

a:active {
  text-decoration: none;
}

button:hover {
  cursor: pointer;
  /* text-decoration: underline; */
  /* opacity: .9; */
  transform: scale(1.02);
  transition-duration: 0.1s !important;
}

.button-pointer:hover {
  cursor: pointer;
  opacity: 0.9;
}

.fa-heart {
  color: red;
  font-size: 14px;
}

.line {
  width: 100%;
  height: 0px;
  border: 1px solid #8792a2;
}

.ad-banner {
  border-bottom: 6px solid #2bb096;
  margin-bottom: 20px;
  /* need to controll */
}

.banner-img {
  display: block;
  width: 100%;
}

.nav-logo-main-menu {
  max-height: 100px;
  margin-bottom: 20px;
}

.logo-img {
  width: 18%;
  align-items: flex-end;
  justify-content: flex-start;
}

.f18-600 {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 106.24%;
}

.table-border {
  /* background: rgb(241, 241, 241); */
  /* border: 1px solid #2BB096; */
  border: 1px solid rgb(85, 93, 109);
}

.datae-table:hover {
  background-color: rgb(201, 201, 201) !important;
  color: white !important;
}

.btn-big {
  width: 180px;
}

.highlight-btn {
  color: white;
  border: none;
  border-radius: 4px;
  background: #72ac53;
}

.highlight-btn:disabled {
  border: 1px solid;
  border-color: grey;
  color: #ffffff;
  background-color: #bbbbbb;
}

.highlight-btn:hover {
  background-color: #136e98;
}

.retry-btn {
  color: black;
  border: none;
  border-radius: 4px;
  background: #ffe600;
}

.retry-btn:disabled {
  border: 1px solid;
  border-color: grey;
  color: #ffffff;
  background-color: #bbbbbb;
}

.retry-btn:hover {
  background-color: #72ac53;
  columns: white;
}

.width10 {
  width: 10%;
}

.width30 {
  width: 30%;
}

.width40 {
  width: 40%;
}

.width60 {
  width: 60%;
}

.input-border-radius {
  border: 1px solid rgba(0, 0, 0, 0.3);
}

.input-padding {
  padding-top: 4px;
  padding-bottom: 4px;
  white-space: none;
  padding-left: 16px;
}

.input-span {
  display: flex;
  align-items: center;
}

.Please-select-to-continue {
  font-family: "IBM Plex Sans", sans-serif;
  font-style: italic;
  font-weight: 400;
  font-size: 14px;

  letter-spacing: 0.005em;
}

#qouteEmail_name_icon {
  position: absolute !important;
  left: 23px !important;
  top: 178px !important;
  width: 16px;
}

.container-fluid {
  width: 100%;
  padding-right: 0px !important;
  padding-left: 0px !important;
  margin-right: auto;
  margin-left: auto;
}

.coupon-border {
  border: 1px solid rgba(60, 66, 87, 0.12);
  border-radius: 0px 0px 0px 8px;
}

.div-border {
  border: 1px solid rgba(5, 87, 120, 0.1);
  border-radius: 11px;
}

.no-display-in-mobile {
  display: block;
}

.acc-table-sticky thead th {
  position: sticky !important;
  top: 0;
}

.anchor:hover {
  color: #1869ff !important;
}

.owl-theme .owl-dots .owl-dot span {
  width: 5px !important;
  height: 5px !important;
}

.owl-theme .owl-nav.disabled+.owl-dots {
  margin-top: 2px !important;
}

.owl-dots {
  height: 7px !important;
}

.trillon-text {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 900;
  font-size: clamp(16px, 1.5vw, 24px);
  color: #2bb096;
}

.trillon-text-sc {
  font-family: "Inter", sans-serif;
  font-style: normal;
  font-weight: 900;
  font-size: clamp(16px, 1.5vw, 24px);
  color: #136e98;
}

.col,
.col-1,
.col-10,
.col-11,
.col-12,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-auto {
  padding: unset;
}

.blueprint-height-control {
  height: 520px;
}



.collapsible-active {
  background-color: #2bb096;
  color: #ffffff;
}

.dimension_padding {
  padding-right: 40px;
  padding-left: 40px;
}

.hide_column {
  display: none;
}

.button_icon{
  margin-top: -4px;
  width: 28px;
  height: 28px;
}

#form_update_blueprint_exact .update_form , 
#form_update_blueprint_exact .edit_buttons
{
  border-radius: 15px;
  padding: 20px;
}
.price_highlight{
  color: white;
    padding: 12px;
    background-color: #136e98;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
}
#download_var {
  background-color: #0bb89b;
  cursor: pointer;
}

#download_var:disabled,
#download_var[disabled] {
  background-color: #777777;
  cursor: not-allowed;
}

#quote_email:disabled,
#quote_email[disabled] {
  background-color: #777777;
  cursor: wait;
  color: white;
}

.add_kart_popup {
  background: #ee202e;
}

.add_kart_popup:disabled,
.add_kart_popup[disabled] {
  background-color: #777777;
  cursor: not-allowed;
  color: white;
}

#cad_file_type_button:hover {
  cursor: default;
}

.tooltip-inner {
  max-width: 500px;
  font-weight: bold;
  color: #2b2b2b !important;
  background: #fff !important;
  opacity: 1;
  border-radius: 12px;
  -webkit-box-shadow: 1px 1px 8px 0px rgba(210, 210, 210, 1);
  -moz-box-shadow: 1px 1px 8px 0px rgba(210, 210, 210, 1);
  box-shadow: 1px 1px 8px 0px rgba(210, 210, 210, 1);
}

.tooltip.show {
  opacity: 1;
}

.mid-main-2 .modal {
  --bs-modal-width: 85%vw !important;
}

#mid-sec-big-model.modal {
  --bs-modal-width: auto !important;
  font-family: "Montserrat", sans-serif;
  --bs-modal-border-color: none !important;
}

.table-striped {
  text-align: center;
}

.modal-content {
  background-color: #ffffff;
  --bs-border-color: #dee2e600;
  --bs-border-color-translucent: rgba(0, 0, 0, 0);
  font-family: "Montserrat", sans-serif;
  color: #6c757d;
}

.modal-header {
  border: none;
}

.modal-content {
  border-top-right-radius: 13px;
  border-top-left-radius: 13px;
  border-radius: 13px;
}

.model-heading {
  padding: 0.5rem;
  width: 100%;
  text-align: center;
  background-color: #136e98;
  border-radius: 0px;
  border-top-right-radius: 12px;
  border-top-left-radius: 12px;
  display: flex;
  justify-content: center;
  margin-bottom: 0px !important;
}

.model-heading-text {
  font-family: "IBM Plex Sans", sans-serif;
  color: white !important;
  font-size: 1.25rem;
  font-weight: 700;
  letter-spacing: 0.3px;
  word-spacing: 1px;
  margin-bottom: 0px !important;
}

.modal-body {
  font-family: "Montserrat", sans-serif;
  /* border-radius: 12px; */
  border-bottom-right-radius: 12px;
  border-bottom-left-radius: 12px;
  background-color: #fff;
}

.modal-footer {
  border: none;
  padding: unset;
}

.btn-success {
  text-align: center;
  font-family: "IBM Plex Sans", sans-serif;
  color: white !important;
  font-size: 1.25rem;
  font-weight: 700;
  letter-spacing: 0.3px;
  word-spacing: 1px;
  background-color: #0bb89b !important;
  border: 1px solid #0bb89b !important;
  border-radius: 8px;
  padding: 8px 16px;
  box-shadow: none;
  border: 1px solid #0bb89b;
}

.btn-success-acc-pg {
  font-size: unset !important;
}

.btn-success:hover {
  color: white !important;
  opacity: 0.8;
}

.btn-success:active:focus {
  box-shadow: none !important;
}

.form-control {
  color: #6c757d !important;
}

.shipping_loading_image,
.tax_excemption_loading_image,
.rotaing {
  position: relative;
  width: 20px;
  height: 20px;
  margin: auto;
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
}

@-moz-keyframes spin {
  100% {
    -moz-transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

#divLoading {
  margin: 0px;
  padding: 0px;
  position: fixed;
  right: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-color: rgb(102, 102, 102);
  z-index: 30001;
  opacity: 0.8;
  display: none;
}

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #ececec;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #000000;
  display: block;
  transition: 0.3s;
}

.sidenav p {
  color: #000000;
  font-size: 16px;
  text-decoration: none;
  padding: 8px 8px 8px 32px;
  display: block;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

.hovertext:before {
  content: attr(data-hover);
  visibility: hidden;
  opacity: 0;
  width: max-content;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 5px;
  padding: 5px 5px;
  transition: opacity 1s ease-in-out;

  position: absolute;
  z-index: 1;
  left: 0;
  top: 110%;
}

.tab2-body.active_ thead tr:first-of-type {
  position: sticky;
  top: 0;
}

.blue-hover:hover {
  background-color: #136e98 !important;
  color: white !important;
}

#mid-sec-big-model input[type="checkbox"]:checked {
  background: #f05133;
  background-clip: content-box !important;
  border: 1px solid black;
}

.mid-sec-tab-border {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.transition-effect {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.modal h4 {
  font-size: 20px;
}

#popup_edit_pdf .input-group-text {
  padding: unset;
  border-radius: unset !important;
}

#popup_email_quote .input-group-text {
  padding: unset;
  border-radius: unset;
  border-top-left-radius: .25rem;
  border-bottom-left-radius: .25rem;
}

#mid-sec-big-model.modal.custom-class {
  /* z-index: 1000; */
  display: block !important;
  z-index: 1039 !important;
  opacity: 1 !important;
}

.modal.fade .modal-dialog {
  transition: transform 0.3s ease-out;
  transform: translate(0) !important;
}

#modal-backdrop.modal-backdrop {
  z-index: 1038 !important;
}

.exact-range-btn {
  box-shadow: 0 0 2px 1px #616161;
  transform: scale(1.02);
}

/* .table-null tr:last-of-type .quantity-table-data {
  border-bottom-left-radius: 11px;
} */

.table-null tr:last-of-type .amount-table-data {
  border-bottom-right-radius: 11px;
}

.heading-box:first-child {
  border-bottom-left-radius: 11px;
}

.heading-box:last-child {
  border-bottom-right-radius: 11px;
}

@font-face {
  font-family: as_icons;
  src: url(/static/assets/fonts/AS-Icons.ttf);
}

.tooltip {
  font-family: as_icons !important;
}

.as_icons {
  font-family: as_icons !important;
}



.grey-colour {
  color: #d7d7d7 !important;
}

.custom_parts table {
  text-align: left;
}

.similer_parts table {
  text-align: left;
}

.fixed-p {
  height: 60px;
  position: fixed;
  top: 46%;
  right: 0;
}

.normal_place {
  transform: translateX(0%) !important;
}

.tooltip.show {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: clamp(12px, 1vw, 14px) !important;
  font-weight: 500 !important;
}

.gap-change- .gap-1 {
  gap: .15rem !important;
}

#force-chart-2 table.dataTable thead>tr>th.sorting_asc::before,
#force-chart-2 table.dataTable thead>tr>th.sorting_desc::after {
  opacity: 1 !important;
  color: #eb5c40 !important;
}

#force-chart-1 table.dataTable thead>tr>th.sorting_asc::before,
#force-chart-1 table.dataTable thead>tr>th.sorting_desc::after {
  opacity: 1 !important;
  color: #166e99 !important;
}

#force-chart-1 th::before,
#force-chart-1 th::after {
  opacity: 1 !important;
  color: #b74228 !important;
}

#mid-sec-big-model .modal-footer>* {
  margin: 0px !important;
}

.mtop25 {
  margin-top: 25px;
}

input[type="search"]::placeholder {
  text-align: center;
}

input[type="search"]:-ms-input-placeholder {
  text-align: center;
}

.dtsb-criteria {
  margin-left: 20px;
}

header .nav-logo .navbar-brand {
  margin-right: 0px !important;
}

.exautic_note {
  text-align: center;
}

/* .dtsb-logicContainer{
  left: 0px !important;
} */

.anim-height-control {
  height: 640px;
}

@media (max-width: 2000px) {
  .anim-height-control {
    height: 820px;
  }
}

@media (max-width: 1440px) {
  .anim-height-control {
    height: 820px;
  }
}

@media (max-width: 1200px) {
  .anim-height-control {
    height: 580px;
  }
}

@media (max-width: 1024px) {
  .anim-height-control {
    height: 480px;
  }
}

@media (max-width: 780px) {
  .anim-height-control {
    height: 450px;
  }
}

@media (max-width: 680px) {
  .anim-height-control {
    height: 800px;
  }
}

@media (max-width: 580px) {
  .anim-height-control {
    height: 640px;
  }
}

@media (max-width: 480px) {
  .anim-height-control {
    height: 600px;
  }
}

@media (max-width: 430px) {
  .anim-height-control {
    height: 520px;
  }
}

@media (max-width: 400px) {
  .anim-height-control {
    height: 500px;
  }
}

.anim-height-control-popup {
  height: 480px;
}

@media (max-width: 2000px) {
  .anim-height-control-popup {
    height: 700px;
  }
}

@media (max-width: 1440px) {
  .anim-height-control-popup {
    height: 700px;
  }
}

@media (max-width: 1024px) {
  .anim-height-control-popup {
    height: 400px;
  }
}

@media (max-width: 780px) {
  .anim-height-control-popup {
    height: 450px;
  }
}

@media (max-width: 680px) {
  .anim-height-control-popup {
    height: 750px;
  }
}

@media (max-width: 580px) {
  .anim-height-control-popup {
    height: 640px;
  }
}

@media (max-width: 480px) {
  .anim-height-control-popup {
    height: 600px;
  }
}

@media (max-width: 430px) {
  .anim-height-control-popup {
    height: 520px;
  }
}

@media (max-width: 400px) {
  .anim-height-control-popup {
    height: 500px;
  }
}

@media(min-width:576px) and (max-width:737px) {
  .mtop25 {
    margin-top: 0px;
  }
}

@media (max-width: 2000px) {
  .hide_head {
    display: table-cell;
  }


  .side_notification {
    width: 440px;
  }
}

@media (max-width: 991px) {

  nav .trillon-text-sc {
    -webkit-order: 3;
    order: 3;
  }

  nav .loginout-nav-item {
    -webkit-order: 2;
    order: 2;
  }

  nav .logo-home {
    -webkit-order: 1;
    order: 1;
  }

  .min-max-span-1 {
    position: absolute;
    top: 100%;
    left: 17.5%;
  }

  .min-max-span-2 {
    position: absolute;
    top: 100%;
    left: 67.5%;
  }
}

@media (max-width: 780px) {
  .hide_head {
    display: none;
  }

  .gap15 {
    gap: 10px;
  }

  footer img {
    height: 28px !important;
  }
}

@media (max-width: 730px) {
  .no-display-in-mobile {
    display: none;
  }

  footer img {
    height: 26px !important;
  }
}

@media (max-width: 680px) {


  .side_notification {
    width: 340px;
  }

  .t-w {
    width: 98vw !important;
  }

  .margintop65 {
    margin-top: 10px !important;
    margin-bottom: 10px !important;
  }

  .paddintb60 {
    padding: 40px 0px;
  }

  .gap15 {
    gap: 10px;
  }

  footer img {
    height: 24px !important;
  }
}

@media (max-width: 580px) {
  .side_notification {
    width: 340px;
  }

  .height-of-img {
    height: 40px;
  }

  .owl-theme .owl-dots {
    display: none !important;
  }

  .no-display-in-mobile {
    display: none;
  }



  .gap15 {
    gap: 10px;
  }

  .paddintb60 {
    padding: 30px 10px;
  }

  footer img {
    height: 22px !important;
  }

  .inter-700-15px {
    font-family: "Inter", sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 18px;
  }

  .inter-700-12px {
    font-family: "Inter", sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 10px;
    line-height: 15px;
  }
}


@media (max-width: 430px) {
  .no-margin-mobile {
    margin-right: 0px !important;
  }

  .height-of-img {
    height: 35px;
  }



  .gap15 {
    gap: 8px;
  }

  .paddintb60 {
    padding: 20px 10px;
  }

  footer img {
    height: 18px !important;
  }
}

@media (max-width: 400px) {
  .height-of-img {
    height: 30px;
  }



  .three-set img {
    width: 40px;
  }


  #good_design_message.sidehead-big {
    font-size: 11px !important;
  }

  #bad_design_message.sidehead-big {
    font-size: 11px !important;
  }

  #table_values.body-normal {
    font-size: 8px !important;
  }

  .gap15 {
    gap: 5px;
  }

  .paddintb60 {
    padding: 10px 5px;
  }

  footer img,
  svg {
    height: 15px !important;
  }
}



.stype-btnset .sidehead-big {
  font-size: 8px !important;
}

.stype-btnset img {
  width: 20px;
  height: 20px;
}


@media (min-width: 400px) {
  .stype-btnset .sidehead-big {
    font-size: 10px !important;
  }

  .stype-btnset img {
    width: 25px;
    height: 25px;
  }
}

@media (min-width: 450px) {
  .stype-btnset .sidehead-big {
    font-size: 12px !important;
  }

  .stype-btnset img {
    width: 25px;
    height: 25px;
  }
}

@media (min-width: 550px) {
  .stype-btnset .sidehead-big {
    font-size: 14px !important;
  }

  .stype-btnset img {
    width: 30px;
    height: 30px;
  }
}

@media (min-width: 700px) {
  .stype-btnset .sidehead-big {
    font-size: 12px !important;
  }

  .stype-btnset img {
    width: 30px;
    height: 30px;
  }
}

@media (min-width: 1024px) {
  .stype-btnset .sidehead-big {
    font-size: 14px !important;
  }

  .stype-btnset img {
    width: 30px;
    height: 30px;
  }
}

.user_unregistered {
  display: none;
}

.user_unregistered.show {
  display: block;
}

.sign_up_banner {
  display: none;
}

.sign_up_banner.show {
  display: block;
}

.email_verify {
  display: none;
}

.email_verify.show {
  display: block;
}

.above_25 {
  display: none;
}

.above_25.show {
  display: block;
}

a.visited {
  color: #c58af9 !important;
  text-decoration: underline !important;
}


.footer_grey,
.footer_blue {
  margin-left: auto !important;
  margin-right: auto !important;
  padding-right: 25px !important;
  padding-left: 25px !important;
  max-width: 1400px !important;
}

.mini-cart-body {
  z-index: 1000;
  position: absolute;
  top: 100px;
  right: 4px;
  background-color: #ffffff;
  width: 360px;
  border-radius: 16px;
  color: #697386;
}

.alert {
  padding: 0.25rem !important;
  margin-bottom: .5rem;
}

@media (max-width: 400px) {
  .mini-cart-body {
    width: 300px;
  }
}

.edit_form_submit:disabled , .edit_form_submit[disabled] {
  background-color: grey !important;
}